Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jta
Interface UserTransactionServer

All Superinterfaces:
  Remote

All Known Implementing Classes:
  _UserTransactionServer_Stub, UserTransactionServerImp, UserTransactionServerImp_Stub

    public interface UserTransactionServer

extends Remote

An RMI-based server interface that allows remote clients to do client-demarcated transaction management. This interface is used by our RemoteClientUserTransaction.

Method Summary
`String` | `begin(int timeout)` Create a new transaction.
`void` | `commit(String tid)` Commit the transaction.
`int` | `getStatus(String tid)` Get the status of the transaction.
`void` | `rollback(String tid)` Rollback the transaction.
`void` | `setRollbackOnly(String tid)` Mark the transaction for rollback only.

Method Detail

### begin

    String begin(int timeout)
                 throws RemoteException,
                        SystemException,
                        NotSupportedException

  Create a new transaction.

  Parameters:
    `timeout` - The timeout setting of the client UserTx.
  Returns:
    String The tid of the transaction.
  Throws:
    `RemoteException`
    `SystemException`
    `NotSupportedException`

### commit

    void commit(String tid)
                throws RemoteException,
                       RollbackException,
                       HeuristicMixedException,
                       HeuristicRollbackException,
                       SecurityException,
                       IllegalStateException,
                       SystemException

  Commit the transaction.

  Parameters:
    `tid` - The tid of the tx to commit.
  Throws:
    `RemoteException`
    `RollbackException`
    `HeuristicMixedException`
    `HeuristicRollbackException`
    `SecurityException`
    `IllegalStateException`
    `SystemException`

### rollback

    void rollback(String tid)
                  throws RemoteException,
                         IllegalStateException,
                         SecurityException,
                         SystemException

  Rollback the transaction.

  Parameters:
    `tid` - The tid of the transaction to rollback.
  Throws:
    `RemoteException`
    `IllegalStateException`
    `SecurityException`
    `SystemException`

### setRollbackOnly

    void setRollbackOnly(String tid)
                         throws RemoteException,
                                IllegalStateException,
                                SystemException

  Mark the transaction for rollback only.

  Parameters:
    `tid` - The tid of the transaction to mark.
  Throws:
    `RemoteException`
    `IllegalStateException`
    `SystemException`

### getStatus

    int getStatus(String tid)
                  throws RemoteException,
                         SystemException

  Get the status of the transaction.

  Parameters:
    `tid` - The tid.
  Returns:
    int The status, as defined in JTA.
  Throws:
    `RemoteException`
    `SystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.